import { Command } from '../../handler';
import { sendPlayerMessage } from '../../../config';
import { getPlayer, getScore } from '../../../lifesteal';
new Command({
    name: 'jumpscare',
    ghostsOnly: true,
    code({ player, args }) {
        if (player.hasTag(`ls-ghost_jumpscare_cd`))
            return sendPlayerMessage(player, `§cYou are on cooldown! Wait ${Math.round(getScore(player, `ls-ghost-cd`) / 20)} more seconds!`);
        let target = getPlayer(args.join(` `));
        if (!target)
            return sendPlayerMessage(player, `§cFailed to run command, player must be online and at least 5 blocks near you`);
        if (target.name == player.name)
            return sendPlayerMessage(player, `§cYou cannot jumpscare yourself!`);
        try {
            player.runCommandAsync(`title @a[name="${target.name}",r=5] actionbar §cA ghost has jumpscared you!`);
            target.runCommandAsync(`playsound ls_jumpscare @s`);
            player.runCommandAsync(`title ${target.name} title §c§lBOO`);
            player.runCommandAsync(`title ${target.name} subtitle §c${player.name} has jumpscared you!`);
            player.runCommandAsync(`scoreboard players set @s ls-ghost-cd 6002`);
            player.runCommandAsync(`tag @s add ls-ghost_jumpscare_cd`);
        }
        catch {
            sendPlayerMessage(player, `§cFailed to run command, player must be online and at least 5 blocks near you`);
        }
    }
});
