import { Command } from '../handler';
import { sendPlayerMessage, config } from '../../config';
import { withdrawHelp } from './withdraw';
import { reviveHelp } from './revive';
import { heartHelp } from './heart';
import { welcomeHelp } from './misc/welcome';
import { apHelp } from './staffOnly/adminpanel';
import { getHelp } from './staffOnly/get';
import { ghostBarrierHelp } from './staffOnly/ghostbarrier';
import { deadPlayersHelp } from './misc/deadplayers';
import { logsHelp } from './staffOnly/logs';
import { forceReviveHelp } from './staffOnly/forcerevive';
import { killHelp } from './staffOnly/kill';
new Command({
    name: 'help',
    aliases: [
        'h'
    ],
    code({ player, args }) {
        if (args[0] == `forcekill`) {
            killHelp(player);
            return;
        }
        if (args[0] == `forcerevive`) {
            forceReviveHelp(player);
            return;
        }
        if (args[0] == `logs`) {
            logsHelp(player);
            return;
        }
        if (args[0] == `deadplayers`) {
            deadPlayersHelp(player);
            return;
        }
        if (args[0] == `ghostbarrier`) {
            ghostBarrierHelp(player);
            return;
        }
        if (args[0] == `get`) {
            getHelp(player);
            return;
        }
        if (args[0] == 'withdraw') {
            withdrawHelp(player);
            return;
        }
        if (args[0] == 'revive') {
            reviveHelp(player);
            return;
        }
        if (args[0] == 'heart') {
            heartHelp(player);
            return;
        }
        if (args[0] == 'welcome') {
            welcomeHelp(player);
            return;
        }
        if (args[0] == 'adminpanel') {
            apHelp(player);
            return;
        }
        sendPlayerMessage(player, `§e§lLifesteal Help Page --§r
§6Prefix: ${config.prefix}
Do ${config.prefix}help <command> for help on that command!

§eNormal Commands --
§6§lwithdraw <amount> §r§6| Withdraw one or more hearts from your heart count
§6§lrevive <player> §r§6| Revive a player (Must have a heart of life in hand)
§6§ldeadplayers §r§6| Show all dead player's names
§6§lheart <set/setmax/envsteal/etc> §r§6| All the heart commands in one
§6§lwelcome §r§6| Show the welcome GUI

§r§eGhost Commands --
§6§ljumpscare <player> §r§6| Jumpscare a player (must be near them)
§6§lrps <rock/paper/scissors> §r§6| Play rock paper scissors with an AI
§6§lcookieclicker §r§6| Play cookie clicker
§6§lguess §r§6| Try to guess a number from a random number generator, completely RNG based
§6§lleaderboard §r§6| Leaderboard for Cookie clicker and RPS

§r§eStaff Only Commands --§r`);
        if (!player.hasTag(config.staffTag)) {
            if (player.isOp()) { }
            else
                return sendPlayerMessage(player, `§cYou do not have permission to see Staff Commands! Do /tag @s add ${config.staffTag} to get permission.`);
        }
        sendPlayerMessage(player, `§6§ladminpanel §r§6| Open the admin panel
§6§llogs §r§6| Shows everytime a player used a command or gained a heart
§6§lget <item> <amount> §r§6| Get a lifesteal item (heart, heart_of_life, etc)
§6§lghostbarrier <amount> §r§6| Set the ghost barrier
§6§lforcerevive <player> §r§6| Revives a player even if you don't have a Heart of Life
§6§lforcekill <player> §r§6| Sets a player to 0 hearts and makes them a ghost`);
    }
});
