import { world } from '@minecraft/server';
import { Command } from '../handler';
import { sendPlayerMessage, sendAllMessage, config } from '../../config';
import { deadplayers, revivelist } from '../../lifesteal';
export function reviveHelp(player) {
    sendPlayerMessage(player, `§e§lLifesteal Help Page -- Revive§r§6
> Revive a player if they are a ghost, requires a heart of life in hand to work

> Usage: ${config.prefix}revive <player>

> Examples: [
${config.prefix}revive ${player.name}
${config.prefix}revive TestSubject8987
]`);
}
new Command({
    name: `revive`,
    code({ player, args }) {
        let inv = player.getComponent(`inventory`);
        let item = inv.container.getItem(player.selectedSlot);
        if (!item || item.typeId != `lifesteal:heart_of_life`)
            return sendPlayerMessage(player, `§cYou must have a heart of life in your hand to revive a player!`);
        if (!args[0])
            return reviveHelp(player);
        let target;
        deadplayers.forEach(x => {
            if (x.toLowerCase() == args.join(` `).toLowerCase()) {
                target = x;
            }
        });
        if (!target) {
            for (let players of world.getAllPlayers()) {
                if (players.name.toLowerCase() == args.join(` `).toLowerCase())
                    return sendPlayerMessage(player, `§cThat player is not a ghost!`);
            }
            return sendPlayerMessage(player, `§cFailed to find player, the player must be a ghost`);
        }
        revivelist.set(`${target.toLowerCase()}`, `${target.toLowerCase()}`);
        deadplayers.forEach(x => {
            if (x.toLowerCase() == args.join(` `).toLowerCase()) {
                deadplayers.delete(x);
            }
        });
        player.runCommandAsync(`clear @s lifesteal:heart_of_life 0 1`);
        sendAllMessage(player, `§b${player.name} has revived ${target}`);
        player.runCommandAsync(`playsound heart_of_life_sound @a`);
    }
});
