import { world } from "@minecraft/server";
import { ModalFormData } from "@minecraft/server-ui";
import { sendAllMessage } from "../../config";
import { deadplayers, revivelist } from "../../lifesteal";
world.events.beforeItemUse.subscribe(data => {
    if (data.item.typeId == `lifesteal:heart_of_life`) {
        let player = data.source;
        const options = [];
        deadplayers.forEach(x => {
            options.push(x);
        });
        if (!options.length) {
            const errorGui = new ModalFormData()
                .title(`Revive GUI`)
                .textField(`Search for a player`, `e.g GamerDos7511`)
                .dropdown(`Choose a player to revive`, [`No dead players!`]);
            errorGui.show(player);
            return;
        }
        function reviveGuiForm() {
            const reviveGUI = new ModalFormData()
                .title(`Revive GUI`)
                .textField(`Search for a player`, `e.g GamerDos7511`)
                .dropdown(`Choose a player to revive`, options);
            reviveGUI.show(player).then(result => {
                if (result.formValues[0]) {
                    let search = options.filter(x => x.includes(result.formValues[0]));
                    if (!search.length) {
                        const reviveGuiSearchUnsuccessful = new ModalFormData()
                            .title(`Revive GUI - Search Error`)
                            .dropdown(`Choose a player to revive`, [`No players found!`]);
                        reviveGuiSearchUnsuccessful.show(player).then(() => {
                            reviveGuiForm();
                        });
                        return;
                    }
                    const reviveGuiSearch = new ModalFormData()
                        .title(`Revive GUI - Search`)
                        .dropdown(`Choose a player to revive`, search);
                    reviveGuiSearch.show(player).then(result => {
                        let formValues = result.formValues;
                        let target = options[formValues[1]];
                        revivelist.set(`${target.toLowerCase()}`, `${target.toLowerCase()}`);
                        deadplayers.forEach(x => {
                            if (x.toLowerCase() == target.toLowerCase()) {
                                deadplayers.delete(x);
                            }
                        });
                        player.runCommandAsync(`playsound heart_of_life_sound @a`);
                        sendAllMessage(player, `§b${player.name} has revived ${target}`);
                    });
                    return;
                }
                let formValues = result.formValues;
                let target = options[formValues[1]];
                player.runCommandAsync(`clear @s lifesteal:heart_of_life 0 1`);
                revivelist.set(`${target.toLowerCase()}`, `${target.toLowerCase()}`);
                deadplayers.delete(`${target}`);
                player.triggerEvent(`lifesteal:heart_of_life_use`);
                player.runCommandAsync(`playsound heart_of_life_sound @a`);
                sendAllMessage(player, `§b${player.name} has revived ${target}`);
            });
        }
        reviveGuiForm();
    }
});
