import { world, system } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";
import { sendPlayerMessage, config } from "../../config";
system.runInterval(() => {
    for (let player of world.getAllPlayers()) {
        if (!player.hasTag(`welcome-gui_done`)) {
            player.addTag(`welcome-gui_done`);
            function form(player) {
                const welcomeGui = new ActionFormData()
                    .title(`Welcome to lifesteal!`)
                    .body(`§gWelcome! This world has the §6Lifesteal Addon§g installed!\nThis lifesteal addon was created by §1§lGamerDos§r§g on §fYou§cTube§g, check him out!\n\n§lDo ${config.prefix}help to see all commands`)
                    .button(`Next`, `textures/ui/arrow.png`);
                welcomeGui.show(player).then(result => {
                    if (result.canceled && result.cancelationReason == `userBusy`)
                        form(player);
                    if (result.canceled && result.cancelationReason == `userClosed`)
                        form(player);
                    if (result.selection == 0) {
                        function nextForm(player) {
                            const welcomeGui2 = new ActionFormData()
                                .title(`Lifesteal message`)
                                .body(`§gI will only post this addon to §amcpedl.com§g, not any other site, if you found this addon on another site, the Google Play Store, etc, then you have an unofficial version of the addon, if you plan on making a review/showcase of this addon, please link the MCPEDL page. Enjoy the addon!`)
                                .button(`Accept and close`, `textures/ui/check.png`)
                                .button(`1.13.0 Changelog`, `textures/items/map_filled.png`);
                            welcomeGui2.show(player).then(result => {
                                if (result.selection == 0)
                                    return sendPlayerMessage(player, `§e- dsc.gg/gamerdos: §6GamerDos' Discord Server (Join if you need help or you have a question)\n\n§e- mcpedl.com/lifesteal-addon: §6The MCPEDL page, check up on this for updates\n\n§e- patreon.com/gamerdos: §6Support what I do!`);
                                if (result.canceled)
                                    nextForm(player);
                                if (result.selection == 1) {
                                    let changelog = `§eLifesteal 1.13.1 Hotfix§6
• Fixed heart system (Lost 2 hearts on death)
• New creator join sound (Plays when GamerDos joins)
• Bug fixes and more!

§eLifesteal 1.13 Release§6
• Texture changes
• Added a search bar to the Heart of Life
• Withdraw heart changes
• Hearts and other items now stack
• Command system rework
• 3 new sub-commands to ?heart
• New commands
• Added help pages to ?logs and ?deadplayers
• Change ghost radius of barrier
• New admin panel features
• Nether star heart texture (Toggleable)
• Hold down right-click to use hearts quicker
• Welcome GUI changes
• Welcome message changes
• QOL changes
• RPS and Cookie clicker now have leaderboards
• RPS changes (Harder/easier now)
• Changes to item lore
• Fixed revive system bug
• Changes to the heart system
• Changes to the ghost-kick system
• Changes to the heart item
• You no longer die when revived
• Recipe changes (Less expensive!)
• New heart of life animation when used
• Bug fixes
• Other changes I probably forgot to put here`.replaceAll(/(\r\n|\r|\n)/, `\n`);
                                    let changeLogsGui = new ActionFormData()
                                        .title(`Lifesteal Changelog`)
                                        .body(`§eLifesteal 1.13.0 is here! Here are the new features:§6\n${changelog}`)
                                        .button(`Back`, `textures/ui/arrow_dark_left.png`);
                                    changeLogsGui.show(player).then(() => {
                                        nextForm(player);
                                    });
                                }
                            });
                        }
                        nextForm(player);
                    }
                });
            }
            form(player);
        }
    }
}, 1);
