import { world } from "@minecraft/server";
import { ModalFormData } from "@minecraft/server-ui";
import { sendPlayerMessage, config } from "../../config";
import { getScore } from "../../lifesteal";
world.events.beforeItemUse.subscribe(data => {
    if (data.item.typeId == `lifesteal:withdraw_heart`) {
        let player = data.source;
        if (getScore(player, `ls-death`) == 1)
            return;
        const withdrawGUI = new ModalFormData()
            .title(`Withdraw GUI`)
            .slider(`Choose how many hearts to withdraw\n§7Note that there is also a withdraw command (${config.prefix}withdraw)`, 1, getScore(player, `ls-death`) - 1, 1);
        withdrawGUI.show(player).then(result => {
            let amount = result.formValues[0];
            player.runCommandAsync(`scoreboard players remove @s ls-death ${amount}`);
            player.runCommandAsync(`give @s lifesteal:heart ${amount}`);
            sendPlayerMessage(player, `§6Successfully withdrew hearts!`);
        });
    }
});
