import { Player } from "@minecraft/server";

/**
 * Lifesteal config, change the staffTag and prefix
 */
export const config = {
    prefix: '?',
    staffTag: 'lifesteal-opped'
};




/**
 * Send a message to a player
 * @param player Player to send the message to
 * @param message Message the player will be sent
 * @param removeSpaces Whether to remove repeated spaces
 */
export function sendPlayerMessage(player: Player, message: string, removeSpaces: boolean = false) {
    if (removeSpaces === true) {
        player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"${message.replaceAll('"', '\\\"').replaceAll(/(\r\n|\r|\n)/g, `\n`).replaceAll(/  +/g, ``)}"}]}`);
        return;
    }
    if (removeSpaces === false) {
        player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"${message.replaceAll('"', '\\\"')}"}]}`);
        return;
    }
}

/**
 * Send every player a message
 * @param player Player that will send the message
 * @param message Message that will be sent
 * @param removeSpaces Whether to remove repeated spaces
 */
export function sendAllMessage(player: Player, message: string, removeSpaces: boolean = false) {
    if (removeSpaces === true) {
        player.runCommandAsync(`tellraw @a {"rawtext":[{"text":"${message.replaceAll('"', '\\\"').replaceAll(/(\r\n|\r|\n)/g, `\n`).replaceAll(/  +/g, ``)}"}]}`);
        return;
    }
    if (removeSpaces === false) {
        player.runCommandAsync(`tellraw @a {"rawtext":[{"text":"${message.replaceAll('"', '\\\"')}"}]}`);
        return;
    }
}

/**
 * This will make a player run multiple commands
 * @param player 
 * @param commands 
 */
export function runCommands(player: Player, commands: string[]) {
    commands.forEach(x => {
        player.runCommandAsync(x);
    });
}