import { world, Player, EntityInventoryComponent, ItemStack } from '@minecraft/server';
import { Command } from '../handler';
import { sendPlayerMessage, config } from '../../config';
import { getScore } from '../../lifesteal';


export function withdrawHelp(player: Player) {
    sendPlayerMessage(player, `§e§lLifesteal Help Page -- Withdraw§r§6
> Withdraw a certain amount of hearts into your inventory

> Usage: ${config.prefix}withdraw <amount>

> Examples: [
${config.prefix}withdraw 3
${config.prefix}withdraw 6
]`);
}

new Command({
    name: `withdraw`,
    code({ player, args }) {
        let amount = +args[0];
        if (!args[0]) return withdrawHelp(player);
        if (isNaN(amount)) return sendPlayerMessage(player, `§cFailed to withdraw, §l${args[0]}§r§c is Not a Number`);
        if (amount > getScore(player, `ls-death`) || amount == getScore(player, `ls-death`)) return sendPlayerMessage(player, `§cYou cannot withdraw more hearts than you currently have! (${getScore(player, `ls-death`)})`);
        if (amount < 1) return sendPlayerMessage(player, `§cYou cannot withdraw less than 1 heart!`);

        player.runCommandAsync(`scoreboard players remove @s ls-death ${amount}`);
        let inventory = player.getComponent(`inventory`) as EntityInventoryComponent;
        for (let i = 0; i < inventory.container.size; i++) {
            let item = inventory.container.getItem(i);
            if (!item) continue;

            let newItem = new ItemStack(`lifesteal:heart`, item.amount);

            if (item.typeId == `lifesteal:heart`) {
                inventory.container.setItem(i, newItem);
            }
        }

        player.runCommandAsync(`give @s lifesteal:heart ${amount}`);
        sendPlayerMessage(player, `§aWithdrew §f${amount}§a hearts`);
    }
});