import { world, Player, EntityInventoryComponent, ItemStack } from "@minecraft/server";
import { ActionFormData, ModalFormData } from "@minecraft/server-ui";
import { sendPlayerMessage, sendAllMessage, config } from "../../../config";
import { deadplayers, revivelist, getScore, getPlayer } from "../../../lifesteal";

world.events.beforeItemUse.subscribe(data => {
    if (data.item.typeId == `lifesteal:withdraw_heart`) {
        let player = data.source as Player;
        if (getScore(player, `ls-death`) == 1) return;
        const withdrawGUI = new ModalFormData()
            .title(`Withdraw GUI`)
            .slider(`Choose how many hearts to withdraw\n§7Note that there is also a withdraw command (${config.prefix}withdraw)`, 1, getScore(player, `ls-death`) - 1, 1);
        withdrawGUI.show(player).then(result => {
            let amount: any = result.formValues[0];

            player.runCommandAsync(`scoreboard players remove @s ls-death ${amount}`);
            let inventory = player.getComponent(`inventory`) as EntityInventoryComponent;
            for (let i = 0; i < inventory.container.size; i++) {
                let item = inventory.container.getItem(i);
                if (!item) continue;

                let newItem = new ItemStack(`lifesteal:heart`, item.amount);

                if (item.typeId == `lifesteal:heart`) {
                    inventory.container.setItem(i, newItem);
                }
            }
            player.runCommandAsync(`give @s lifesteal:heart ${amount}`);
            sendPlayerMessage(player, `§6Successfully withdrew hearts!`);
        });
    }
});