import { Player, world } from "@minecraft/server";
import { config } from "../config";

interface commandInfo {
    /**
     * Name of the command
     */
    name: string;
    /**
     * Aliases for the command
     */
    aliases?: string[];
    /**
     * Whether its staff only or not
     */
    staffOnly?: boolean;
    /**
     * Whether only ghosts can use it or not
     */
    ghostsOnly?: boolean;
}

interface commandData extends commandInfo {
    /**
     * Code for the command
     */
    code: (data: { player: Player, args: string[]; }) => void;
}

export class Command {
    static readonly commands: commandData[] = [];
    constructor(commandInfo: commandData) {
        Command.commands.push(commandInfo);
    }
}

export const commands: commandData[] = Command.commands;